libcommons-codec-java_1.9-1_all.deb


Advertisement

Description

libcommons-codec-java - encoder and decoders such as Base64 and hexadecimal codec

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libcommons-codec-java
Package version: 1.9
Package release: 1
Package architecture: all
Package type: deb
Installed size: 329 B
Download size: 210.18 KB
Official Mirror: ftp.br.debian.org
The codec package contains simple encoder and decoders for various formats such as Base64 and Hexadecimal. In addition to these widely used encoders and decoders, the codec package also maintains a collection of phonetic encoding utilities. This is a part of the Apache Commons Project.

Alternatives

    Download

    Source package: libcommons-codec-java

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libcommons-codec-java deb package:
      # sudo apt-get install libcommons-codec-java

    Files

    • /usr/share/doc/libcommons-codec-java/TODO
    • /usr/share/doc/libcommons-codec-java/changelog.Debian.gz
    • /usr/share/doc/libcommons-codec-java/changelog.gz
    • /usr/share/doc/libcommons-codec-java/copyright
    • /usr/share/java/commons-codec-1.9.jar
    • /usr/share/java/commons-codec.jar
    • /usr/share/maven-repo/commons-codec/commons-codec/1.9/commons-codec-1.9.jar
    • /usr/share/maven-repo/commons-codec/commons-codec/1.9/commons-codec-1.9.pom
    • /usr/share/maven-repo/commons-codec/commons-codec/debian/commons-codec-debian.jar
    • /usr/share/maven-repo/commons-codec/commons-codec/debian/commons-codec-debian.pom

    Changelog

    2014-01-07 - Emmanuel Bourg <ebourg@apache.org> libcommons-codec-java (1.9-1) unstable; urgency=medium * New upstream release - Updated the OSGi metadata in debian/MANIFEST.MF * debian/control: - Standards-Version updated to 3.9.5 (no changes) - Use canonical URLs for the Vcs-* fields * Switch to debhelper level 9

    2013-04-28 - Emmanuel Bourg <ebourg@apache.org> libcommons-codec-java (1.8-1) unstable; urgency=low * Team upload. * New upstream release * Refreshed the patches and the OSGi metadata

    2013-03-27 - Emmanuel Bourg <ebourg@apache.org> libcommons-codec-java (1.7-1) unstable; urgency=low * Team upload * New upstream release (Closes: #694463). * Remove the deprecated DMUA flag * d/control: Bump Standards-Version to 3.9.4 (no changes needed). * Removed the -SNAPSHOT suffix from the version specified in the manifest

    2012-05-24 - James Page <james.page@ubuntu.com> libcommons-codec-java (1.6-1) unstable; urgency=low [ James Page ] * New upstream release: - d/patches/javac_encoding.diff: Dropped - accepted upstream. - d/control,rules,maven.rules: Switch to using junit4 inline with upstream. - Refreshed remaining patch. * d/control: Bumped Standards-Version to 3.9.3: - d/copyright: Tidied lintian warnings and referenced released version of DEP-5. * Added myself to uploaders. [ Damien Raude-Morvan ] * Set DMUA flag for James Page. * d/ant.properties: Use includeantruntime=true to allow javac ant task to get junit4 into classpath.

    2011-04-15 - Damien Raude-Morvan <drazzib@debian.org> libcommons-codec-java (1.5-1) unstable; urgency=low * New upstream release. * Remove Arnaud Vandyck from Uploaders. Thanks! * Fix debian/MANIFEST.MF: don't Import-Package on itself. * Switch to 3.0 (quilt) source format: - d/control: Drop B-D on quilt. - d/README.source: Drop file. - d/rules: Remove patchsys-quilt.mk usage. * d/control: Drop needless-dependency-on-jre since its a library package. * d/control: Bump Standards-Version to 3.9.2 (no changes needed). * Bump to debhelper 7 compat level. * d/rules: Use mh_clean in clean target. * d/patches/javac_encoding.diff: New patch to force javac encoding to UTF-8. * d/copyright: Update and format using DEP-5.

    2009-11-29 - Damien Raude-Morvan <drazzib@debian.org> libcommons-codec-java (1.4-2) unstable; urgency=low * Update my email address * Use quilt as patch system - Build-Depends on quilt - Add debian/README.source - Use CDBS patchsys-quilt.mk * Add debian/MANIFEST.MF for OSGi metadata (Closes: #558179) * New debian/patches/manifest.diff to include OSGi in JAR

    2009-08-22 - Damien Raude-Morvan <drazzib@drazzib.com> libcommons-codec-java (1.4-1) unstable; urgency=low * New upstream release. - Remove build.patch: Merged upstream * No more patches: Remove Build-Depends on quilt and debian/README.source * Use Maven POM from upstream instead of debian/pom.xml * Bump Standards-Version to 3.8.3 (no changes needed)

    2009-08-09 - Torsten Werner <twerner@debian.org> libcommons-codec-java (1.3-8) unstable; urgency=low * Upload to unstable.

    2009-08-03 - Torsten Werner <twerner@debian.org> libcommons-codec-java (1.3-7) experimental; urgency=low [ Ludovic Claude ] * Fix version for junit in the maven POM dependencies * Move api documentation to /usr/share/doc/libcommons-codec-java/api * Add a quilt patch to ignore the LICENSE file not included in the source tarball, replace all previous simple patches by quilt [ Damien Raude-Morvan ] * Build-Depends on default-jdk instead of default-jdk-builddep because we don't build a native GCJ package. [ Torsten Werner ] * Add myself to Uploaders. * Don't install API documentation into both binary packages. * Don't install extra license file.

    Advertisement
    Advertisement